libname sas "c:\";

data sas.gruppe1 (drop=i);
 do i=1 to 10;
  y1=10+rannor(0);
  output;
 end;
run;

data sas.gruppe2 (drop=i);
 do i=1 to 8;
  y2=8+rannor(0);
  output;
 end;
run;

data sas.gruppe3 (drop=i);
 do i=1 to 12;
  y3=12+rannor(0);
  output;
 end;
run;

data sas.gruppe4 (drop=i);
 do i=1 to 13;
  y4=13+rannor(0);
  output;
 end;
run;

data anova;
 set sas.gruppe1 (rename=(y1=y) in=g1)
     sas.gruppe2 (rename=(y2=y) in=g2)
     sas.gruppe3 (rename=(y3=y) in=g3)
     sas.gruppe4 (rename=(y4=y) in=g4);
 if g1 then gruppe=1;
 if g2 then gruppe=2;
 if g3 then gruppe=3;
 if g4 then gruppe=4;
run;

proc glm data=anova;
 class gruppe;
 model y=gruppe / ss3;
 means gruppe;
 estimate 'gruppe2-gruppe1' gruppe -1 1 0 0;
 estimate 'gruppe3-gruppe1' gruppe -1 0 1 0;
 estimate 'gruppe4-gruppe1' gruppe -1 0 0 1;
run;quit;