data city;
 input City $ Price Salary;
 datalines;
 Bogota  		37.9    11.5
 Bombay  		30.3    5.3
 Brussels        73.8    50.5
 Copenhagen      91.3    62.9
 Dublin  		76.0    41.4
 Dusseldorf      78.5    60.2
 Frankfurt       74.5    60.4
 KualaLumpur    	43.5    9.9
 Lagos   		45.2    2.7
 London  		84.2    46.2
 Madrid  		93.8    50.0
 Manila  		40.0    4.0
 MexicoCity     	49.8    5.7
 Nairobi 		45.0    5.8
 Nicosia 		47.9    28.3
 Panama  		49.2    13.8
 Paris   		81.6    45.9
 RiodeJaneiro  	46.3    10.5
 SaoPaulo       	48.9    11.1
 Vienna  		78.0    51.3
 Zurich         100.0   100.0
 ;
run;

libname sas 'd:\benutzer\tschiersch\buch\daten';
data city;
 set sas.city;
run;

*a) Ohne "aceclus"-Transformation der Daten:;
proc cluster data=sas.city outtree=tree method=complete;
 var Price Salary;
 id city;
run;

proc tree data=tree horizontal;
 height _ncl_;
 copy Price Salary;
 id city;
run;

*b) Mit "aceclus"-Transformation der Daten:;
proc aceclus data=sas.city out=city2 p=.03 noprint;
 var Price Salary;
run;

proc cluster data=city2 outtree=tree2 method=complete;
 var can1 can2;
 id city;
run;

proc tree data=tree2 horizontal;
 copy can1 can2;
 id city;
run;

