data Makrooek (drop=u v);
 Einkommen=0;
 do t=-100 to 100;
  u=normal(1)*6;
  v=normal(1)*2;
  Autonom=ranbin(1,4000+round(1.045**(t+100)),0.3)/100;
  Investitionen=round(2/1.8*(2+0.02*((150+Autonom+u)/0.2-0.02*Einkommen)+v),0.01);
  Konsum=round((150+0.8*(Autonom+Investitionen)+u)/0.2,0.01);
  Einkommen=Konsum+Autonom+Investitionen;
  if t>0 then output;
 end;
run;

data Makro2;
 set Makrooek;
 L_Einkommen=lag(Einkommen);
run;

proc syslin data=Makro2 outest=Schaetz SUR;
 model Konsum=Einkommen;
 model Investitionen=Einkommen L_Einkommen;
 identity Einkommen=Konsum+Autonom+Investitionen;
 restrict Einkommen+L_Einkommen=0;
run;

proc simlin data=Makro2 est=Schaetz type=SUR;
 endogenous Einkommen Konsum Investitionen;
 exogenous Autonom;
 lagged L_Einkommen Einkommen 1;
 output out=Prognose p=E_Dach K_Dach I_Dach;
run;

symbol1 i=none c=black v=dot h=0.2;
symbol2 i=join c=black v=none;
proc gplot data=Prognose;
 plot Einkommen*t=1 E_Dach*t=2 /overlay;
run;
quit;
