data auto (drop=i p);
 do i=1 to 200;
  Einkommen=40000*(-log(1-ranuni(1)))**(2/3);
  x=log(einkommen);
  p=1/(exp(50-4.9*x)+1);
  Kauf=(sign(p-ranuni(1))+1)/2;
  output;
 end;
run;

proc logistic data=auto;
model kauf=x;
output out=Vorhersage1 predicted=p1;
run;

proc logistic data=auto;
model kauf=x/link=probit;
output out=Vorhersage2 predicted=p2;
run;

proc logistic data=auto;
model kauf=x/link=cloglog;
output out=Vorhersage3 predicted=p3;
run;

data vorhersage;
 merge vorhersage1 (keep=einkommen p1)
       vorhersage2 (keep=p2)
       vorhersage3 (keep=p3);
 p1=1-p1;
 p2=1-p2;
 p3=1-p3;
run;

proc sort;
 by einkommen;
run;

symbol1 i=join c=black v=none l=1;
symbol2 i=join c=black v=none l=2;
symbol3 i=join c=black v=none l=33;
proc gplot data=vorhersage;
 plot (p1 p2 p3)*einkommen /overlay;
run;
