data forbes;
input Messpunkt Siedepunkt Luftdruck;
datalines;
1 194.5 20.79
2 194.3 20.79
3 197.9 22.40
4 198.4 22.67
5 199.4 23.15
6 199.9 23.35
7 200.9 23.89
8 201.1 23.99
9 201.4 24.02
10 201.3 24.01
11 203.6 25.14
12 204.6 26.57
13 209.5 28.49
14 208.6 27.76
15 210.7 29.04
16 211.9 29.88
17 212.2 30.06
;
run;

data forbes1;
 set forbes;
 l_luftdruck=log(luftdruck);
 Siedepunkt_C=(siedepunkt-32)*5/9;
 drop siedepunkt;
run;

title f=swiss h=2 'Forbes-Daten und Regressionsgerade';
proc Gplot data=forbes1;
 symbol1 i=none c=black v=dot h=0.8;
 symbol2 i=rq c=red h=0.7;
 axis1 order=(90 to 102 by 2) label=(f=swiss h=1.4 'Siedepunkt des Wassers in Grad Celsius') value=(f=swiss h=1.2) minor=none offset=(0,0);
 axis2 order=(3 to 3.5 by 0.1) label=(f=swiss h=1.4 angle=90 'log. Luftdruck') value=(f=swiss h=1.2) minor=none;
 plot l_luftdruck*siedepunkt_c=1 l_luftdruck*siedepunkt_c=2 /overlay haxis=axis1 vaxis=axis2;
run;

proc reg data=forbes1;
 model l_luftdruck=siedepunkt_c;
 output out=resi r=res p=p;
run;

proc gplot data=resi;
 title;
 symbol1 i=none c=black v=dot h=0.8;
 axis1 order=(3 to 3.5 by 0.1) label=(f=swiss h=1.4 'Vorhersagewerte des log. Luftdrucks') value=(f=swiss h=1.2) minor=none offset=(0,0);
 axis2 order=(-0.01 to 0.04 by 0.01) label=(f=swiss h=1.4 angle=90 'Residuen') value=(f=swiss h=1.2) minor=none;
 plot res*p=1 /haxis=axis1 vaxis=axis2 vref=0;
run;
quit;
