/* 
Nachstehender DATA-Step simuliert einen linearen Zusammenhang der
Regressoren von \texttt{x1} und \texttt{x2} mit dem Regressanden 
\texttt{y1} (unkorrelierter Strterm) bzw. mit dem Regressanden 
\texttt{y2} (autokorrelierter Strterm). Berechnen Sie die 
Durbin-Watson-Statistik und die Residuen der Regression auf 
\texttt{y1} sowie der Regression auf  \texttt{y2}. Tragen Sie die 
Residuen jeweils gegen ihre verzgerten Werte in ein Streudiagramm 
ab. Vergleichen Sie die beiden Diagramme.
*/

data Autokorr (keep=x1 x2 y1 y2);
 e=0;
 do i=1 to 200;
  x1=ranbin(1,6,0.5);
  x2=ranbin(1,40,0.7);
  y=5-3*x1+0.5*x2;
  y1=y+normal(1)*2;
  e=0.5*e+normal(1);
  y2=y+2*e;
  if i>100 then output;
 end;
run;

proc reg data=Autokorr;
 model y1=x1 x2 / dw;
 output out=r1 r=r1;
 model y2=x1 x2 / dw;
 output out=r2 r=r2;
run;

data r;
 merge r1 r2;
 lr1=lag(r1);
 lr2=lag(r2);
run;

symbol1 v=dot h=0.8;

proc gplot data=r;
 plot r1*lr1 r2*lr2;
run;
quit;